OpenSim 0.6.7 source packages now available for download

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

OpenSim 0.6.7 source packages now available for download

justincc
Hi folks,

The OpenSim 0.6.7 source release packages are now available from

http://opensimulator.org/wiki/Download

As usual, the caveats about alpha level code and minimal (or no) documentation
apply, though I did make some notes on the ROBUST wiki page about which changed
need to be made for a 0.6.6 to 0.6.7 migration.

Some bugs were reported against this release in Mantis but nothing that appeared
to be absolutely showstopping (i.e. no bug prevented a correctly configured
server from starting up at all).  So in line with previous practice the release
went ahead.

I'm hoping the usual good people will soon produce binary packages and installers :)

This release was taken from the 28th September trunk code so it does not
incorporate all the recent excellent texture and protocol work.  Therefore, I
think that it may be a good idea to have a 0.6.8 once this code has proven
reasonably stable.

Best,

--
justincc
Justin Clark-Casey
http://justincc.org
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: OpenSim 0.6.7 source packages now available for download

Ai Austin
At 22:29 14/10/2009, Justin Clark-Casey <[hidden email]> wrote:
>The OpenSim 0.6.7 source release packages are now available from
>
>http://opensimulator.org/wiki/Download
>
>As usual, the caveats about alpha level code and minimal (or no)
>documentation
>apply, though I did make some notes on the ROBUST wiki page about
>which changed
>need to be made for a 0.6.6 to 0.6.7 migration.


Quick feedback as I configure things moving from our UGRM 0.6.6 to URM 0.6.7...

The provided Opensim.Server.ini.example does not contain the
[GridService] section.  I found that in
Opensim.GridServer.ini.example.  Can it be copied in as is, with a
change of just the database provider to MySQL and give the correct
connection string?  Then add in the GridServiceConnector in the
connectors list?  Given that -0.6.7 is meant to be set up for URM,
would it be better to change that in 0.6.7 postfixes?

I also see comments in the Opensim.Server.ini exaple file relatign
theto the "realm" used for the AuthenticationService and the
UserAccountService saying that the real should be set to "users" for
compatibility with the previous users table.  Should that be done for
both?  Or will a migration take place if the first is left as "auth"
as in the example default?

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: OpenSim 0.6.7 source packages now available for download

justincc
Ai Austin wrote:

> At 22:29 14/10/2009, Justin Clark-Casey <[hidden email]> wrote:
>> The OpenSim 0.6.7 source release packages are now available from
>>
>> http://opensimulator.org/wiki/Download
>>
>> As usual, the caveats about alpha level code and minimal (or no)
>> documentation
>> apply, though I did make some notes on the ROBUST wiki page about
>> which changed
>> need to be made for a 0.6.6 to 0.6.7 migration.
>
>
> Quick feedback as I configure things moving from our UGRM 0.6.6 to URM 0.6.7...
>
> The provided Opensim.Server.ini.example does not contain the
> [GridService] section.  I found that in
> Opensim.GridServer.ini.example.  Can it be copied in as is, with a
> change of just the database provider to MySQL and give the correct
> connection string?  Then add in the GridServiceConnector in the
> connectors list?  Given that -0.6.7 is meant to be set up for URM,
> would it be better to change that in 0.6.7 postfixes?

To the best of my knowledge, OpenSim 0.6.7 only requires the asset and inventory
services to run under ROBUST, not the grid service.  It might be possible to run
the grid service under ROBUST in 0.6.7 but personally I would hold off (unless
anybody can point to/provide instructions).

You could try using the [GridService] setting in a current trunk copy of
OpenSim.Server.ini.example.

>
> I also see comments in the Opensim.Server.ini exaple file relatign
> theto the "realm" used for the AuthenticationService and the
> UserAccountService saying that the real should be set to "users" for
> compatibility with the previous users table.  Should that be done for
> both?  Or will a migration take place if the first is left as "auth"
> as in the example default?

Personally, I would leave both set to "users".  The default in the code is
actually "users" for both, so I am going to change that commented line in the
example config.

--
justincc
Justin Clark-Casey
http://justincc.org
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users